> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cisa/ics-advisories

> Get a CISA industrial control systems advisory by its alert code

**Price:** 5 credits

**⚠️ Common errors:** 412: CISA publishes no ICS advisory under that alert code.



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/cisa/ics-advisories
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cisa/ics-advisories:
    post:
      tags:
        - /cisa
      summary: /cisa/ics-advisories
      description: >-
        Get a CISA industrial control systems advisory by its alert code


        **Price:** 5 credits


        **⚠️ Common errors:** 412: CISA publishes no ICS advisory under that
        alert code.
      operationId: __api_cisa_ics_advisories_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CisaIcsAdvisoriesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CisaIcsAdvisory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CisaIcsAdvisoriesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        alert_code:
          type: string
          minLength: 1
      type: object
      required:
        - alert_code
    CisaIcsAdvisory:
      properties:
        '@type':
          type: string
          default: CisaIcsAdvisory
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        csaf_url:
          anyOf:
            - type: string
            - type: 'null'
        advisory_type:
          anyOf:
            - type: string
            - type: 'null'
        release_date:
          anyOf:
            - type: string
            - type: 'null'
        updated_date:
          anyOf:
            - type: string
            - type: 'null'
        tracking_version:
          anyOf:
            - type: string
            - type: 'null'
        tracking_status:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        csaf_version:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        tlp_label:
          anyOf:
            - type: string
            - type: 'null'
        distribution_text:
          anyOf:
            - type: string
            - type: 'null'
        publisher_name:
          anyOf:
            - type: string
            - type: 'null'
        publisher_category:
          anyOf:
            - type: string
            - type: 'null'
        publisher_namespace:
          anyOf:
            - type: string
            - type: 'null'
        publisher_contact_details:
          anyOf:
            - type: string
            - type: 'null'
        aliases:
          items:
            type: string
          type: array
          default: []
        cve_ids:
          items:
            type: string
          type: array
          default: []
        notes:
          items:
            $ref: '#/components/schemas/CisaCsafNote'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/CisaCsafReference'
          type: array
          default: []
        acknowledgments:
          items:
            $ref: '#/components/schemas/CisaCsafAcknowledgment'
          type: array
          default: []
        revisions:
          items:
            $ref: '#/components/schemas/CisaCsafRevision'
          type: array
          default: []
        products:
          items:
            $ref: '#/components/schemas/CisaCsafProduct'
          type: array
          default: []
        vulnerabilities:
          items:
            $ref: '#/components/schemas/CisaCsafVulnerability'
          type: array
          default: []
        text:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          items:
            $ref: '#/components/schemas/CisaAdvisoryTag'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CisaCsafNote:
      properties:
        '@type':
          type: string
          default: CisaCsafNote
        category:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        audience:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CisaCsafReference:
      properties:
        '@type':
          type: string
          default: CisaCsafReference
        category:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CisaCsafAcknowledgment:
      properties:
        '@type':
          type: string
          default: CisaCsafAcknowledgment
        names:
          items:
            type: string
          type: array
          default: []
        organization:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        urls:
          items:
            type: string
          type: array
          default: []
      type: object
    CisaCsafRevision:
      properties:
        '@type':
          type: string
          default: CisaCsafRevision
        number:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        legacy_version:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CisaCsafProduct:
      properties:
        '@type':
          type: string
          default: CisaCsafProduct
        product_id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        vendor:
          anyOf:
            - type: string
            - type: 'null'
        product_family:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        cpe:
          anyOf:
            - type: string
            - type: 'null'
        model_numbers:
          items:
            type: string
          type: array
          default: []
        serial_numbers:
          items:
            type: string
          type: array
          default: []
        skus:
          items:
            type: string
          type: array
          default: []
        generic_uris:
          items:
            $ref: '#/components/schemas/CisaCsafGenericUri'
          type: array
          default: []
      type: object
      required:
        - product_id
    CisaCsafVulnerability:
      properties:
        '@type':
          type: string
          default: CisaCsafVulnerability
        cve_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        cwe_id:
          anyOf:
            - type: string
            - type: 'null'
        cwe_name:
          anyOf:
            - type: string
            - type: 'null'
        affected_product_ids:
          items:
            type: string
          type: array
          default: []
        notes:
          items:
            $ref: '#/components/schemas/CisaCsafNote'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/CisaCsafReference'
          type: array
          default: []
        remediations:
          items:
            $ref: '#/components/schemas/CisaCsafRemediation'
          type: array
          default: []
        scores:
          items:
            $ref: '#/components/schemas/CisaCsafScore'
          type: array
          default: []
      type: object
    CisaAdvisoryTag:
      properties:
        '@type':
          type: string
          default: CisaAdvisoryTag
        name:
          type: string
        values:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CisaCsafGenericUri:
      properties:
        '@type':
          type: string
          default: CisaCsafGenericUri
        namespace:
          anyOf:
            - type: string
            - type: 'null'
        uri:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CisaCsafRemediation:
      properties:
        '@type':
          type: string
          default: CisaCsafRemediation
        category:
          anyOf:
            - type: string
            - type: 'null'
        details:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        product_ids:
          items:
            type: string
          type: array
          default: []
        group_ids:
          items:
            type: string
          type: array
          default: []
      type: object
    CisaCsafScore:
      properties:
        '@type':
          type: string
          default: CisaCsafScore
        version:
          anyOf:
            - type: string
            - type: 'null'
        base_score:
          anyOf:
            - type: number
            - type: 'null'
        base_severity:
          anyOf:
            - type: string
            - type: 'null'
        vector_string:
          anyOf:
            - type: string
            - type: 'null'
        temporal_score:
          anyOf:
            - type: number
            - type: 'null'
        temporal_severity:
          anyOf:
            - type: string
            - type: 'null'
        environmental_score:
          anyOf:
            - type: number
            - type: 'null'
        environmental_severity:
          anyOf:
            - type: string
            - type: 'null'
        product_ids:
          items:
            type: string
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````